#Load SharePoint CSOM Assemblies
Add-Type -Path "C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\16\ISAPI\Microsoft.SharePoint.Client.dll"
Add-Type -Path "C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\16\ISAPI\Microsoft.SharePoint.Client.Runtime.dll"
   
#Variables for Processing
$SiteUrl = "[Site URL]"
$ListName="[List Name]"
 
$UserName="[User Name]"
$Password ="[Password]"
  
#Setup Credentials to connect
$Credentials = New-Object Microsoft.SharePoint.Client.SharePointOnlineCredentials($UserName,(ConvertTo-SecureString $Password -AsPlainText -Force))
  
#Set up the context
$Context = New-Object Microsoft.SharePoint.Client.ClientContext($SiteUrl)
$Context.Credentials = $Credentials
   
#Get the List
$List = $Context.web.Lists.GetByTitle($ListName)     
	#Loop through each item and delete
	$StartItemId=1;
	$EndItemId=100;
	For ($i =$EndItemId ; $i -ge $StartItemId; $i--)
	{
	Try{
		$ListItem=$List.GetItemByID($i)
		$ListItem.DeleteObject()
		$Context.ExecuteQuery()
		Write-Host "List Item deleted Successfully!" $i
		}
		Catch
		{
		}
	}
Write-Host "All List Items deleted Successfully!"
  